Summary: Creates a self-extracting application installation binary.
Name: pdv
Version: 1.5.1
Release: 1
Copyright: MIT License
Group: Applications/File
Source: ftp://pdv.sourceforge.net/pub/pdv/pdv-1.5.1.tar.gz
URL: http://pdv.sourceforge.net
Packager: Glen Wiley <gwiley@ieee.org>

%description
Payload Delivery Vehicle (PDV) is a program that builds an executable
that contains a complete package (e.g. and RPM, System V package or
tar file) and the commands required to install it.  When the
executable is run it will extract the payload (the package) and then
execute another command (such as rpm -i, pkgadd -d etc.).  The big
advantage to this is that a developer can hand a user a single file to
be executed - the end user does not need to know how to extract the
package or get it installed.

Note that the file that is created is a binary executable that is only
useful for matching platforms. This is not generally a limitation since
the binaries distributed as a package usually target a particular
platform.

%prep
rm -rf $RPM_BUILD_DIR/pdv-1.5.1
gunzip -c $RPM_SOURCE_DIR/pdv-1.5.1.tar.gz | tar -xvf -

%setup

%build
./configure
make

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README
%doc INSTALL
%doc NEWS
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc pdv.lsm
%doc todo
/usr/local/man/man1/pdv.1
/usr/local/man/man1/pdvmkpkg.1
/usr/local/man/man1/xmpdvmkpkg.1
/usr/local/bin/pdv
/usr/local/bin/pdvmkpkg
/usr/local/bin/xmpdvmkpkg
